curl --location --request PUT 'https://api.ordermesh.io/catalog/v1/merchantCatalog' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"id": "681abd18c61bccfab89bc63e",
"name": "Updated Product Catalog",
"description": "A comprehensive catalog of all available products for this merchant",
"isEnabled": true,
"assignedToSubAccountIds": [
"7a2b1d33-c5ef-4a8b-9c7d-5e6f7a8b9c12",
"15115a31-c5ef-4a8b-9c7d-5e6f7a8b9c12"
],
"variants": [
{
"id": null,
"sku": "SKU123",
"merchantSku": "MSKU-123",
"merchantPrice": {
"currencies": [
{
"amount": 19.99,
"currency": "USD"
},
{
"amount": 17.99,
"currency": "EUR"
}
],
"amount": 19.99,
"currency": "USD"
},
"skipImageManipulation": null,
"productId": null,
"decorations": [
{
"area": "Front",
"width": 1200,
"height": 800,
"dpi": 300,
"method": "DirectToFilm",
"price": {
"currencies": [
{
"amount": 5.99,
"currency": "USD"
},
{
"amount": 4.99,
"currency": "EUR"
}
],
"amount": 5.99,
"currency": "USD"
},
"printImage": {
"sourcePrintFileUrl": "https://example.com/images/front-print.png",
"imageUploadStatus": null,
"imageUploadStatusDesc": null,
"ourPrintFileId": null,
"ourPrintFileUrl": null
}
}
],
"attributes": [
{
"name": "Color",
"value": "Red"
},
{
"name": "Size",
"value": "Large"
}
]
},
{
"id": null,
"sku": "SKU456",
"merchantSku": "MSKU-456",
"merchantPrice": {
"currencies": [
{
"amount": 24.99,
"currency": "USD"
},
{
"amount": 22.99,
"currency": "EUR"
}
],
"amount": 24.99,
"currency": "USD"
},
"skipImageManipulation": null,
"productId": null,
"decorations": [
{
"area": "Back",
"width": 1000,
"height": 1000,
"dpi": 300,
"method": "DirectToGarment",
"price": {
"currencies": [
{
"amount": 7.99,
"currency": "USD"
},
{
"amount": 6.99,
"currency": "EUR"
}
],
"amount": 7.99,
"currency": "USD"
},
"printImage": {
"sourcePrintFileUrl": "https://example.com/images/back-print.png",
"imageUploadStatus": null,
"imageUploadStatusDesc": null,
"ourPrintFileId": null,
"ourPrintFileUrl": null
}
}
],
"attributes": null
}
]
}'{
"catalog": {
"id": "catalog123",
"ownerMerchantId": "merchant123",
"name": "Complete Catalog Update",
"description": "This catalog has been completely updated with new variants.",
"isEnabled": false,
"assignedToSubAccountIds": [
"subAccount1",
"subAccount2"
]
},
"totalCatalogVariants": 5,
"errors": [
{
"errorMessage": "Catalog updated with error",
"propertyName": "Variants",
"attemptedValue": [
"invalid-sku-1",
"invalid-sku-2"
]
}
]
}